> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate the signing secret

> Generates a new signing secret for webhook HMAC signatures. The previous secret stops being valid immediately.

Generates a new `signing_secret` for webhook HMAC signatures and returns it. The
previous secret stops being valid immediately, so update your signing code
before sending the next webhook.


## OpenAPI

````yaml post /api/ecommerce-app/{id}/rotate-secret
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/ecommerce-app/{id}/rotate-secret:
    post:
      tags:
        - Custom Ecommerce Apps · Management
      summary: Rotate the signing secret
      description: >-
        Generates a new signing secret for webhook HMAC signatures. The previous
        secret stops being valid immediately.
      operationId: EcommerceAppController_rotateSecret
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''

````